# ContactShieldDemo

## Table of Contents

 * [Introduction](#introduction)
 * [Getting Started](#Getting-Started)
 * [Supported Environments](#supported-environments)
 * [Procedure](#procedure)
 * [Result](#result)
 * [License](#license)

## Introduction
The ContactShieldDemo program uses an app to demonstrate how to call the Contact Shield API.

## Getting Started

1. Register as a developer.
Register a [HUAWEI account](https://developer.huawei.com/consumer/en/).
2.Create an app from Huawei.
Create an app and enable Contact Shield Service by referring the [Contact Shield Service Preparations](https://developer.huawei.com/consumer/en/doc/development/Contact-Shield-V1/config-agc-0000001050982045-V1).
3.Build the demo.
(1)To build this demo, please first import the demo in the Android Studio (3.x+). 
(2)Then download the file "agconnect-services.json" of the app on AGC, and add the file to the app root directory(\app) of the demo. Please refer to the Chapter [Integrating HMS SDK](https://developer.huawei.com/consumer/en/doc/development/Contact-Shield-V1/integratesdk-0000001050701996-V1) of the Development Guide.
(3)Change the value of applicationid in the app-level build.gradle file of the sample project to the package name of your app.
(4)Prepare at least a Huawei phone, then install the compiled apk by adb command to phone.

## Supported Environments
Android Studio 3.X or a later version is recommended.

## Procedure
1. Open the app on your phone.
2. Turn on ContactShieldStatus switch.
3. Then click the button according to your needs.

## Result
<img src="result.jpg">

## License
ContactShieldDemo is licensed under the [Apache License, version 2.0](http://www.apache.org/licenses/LICENSE-2.0).

##P.S
If error code 907135701 appears during running, please check the file "agconnect-services.json". You should use the corresponding "agconnect-services.json" of your project.